###
###
###

.seqnames <- paste("Group", c(1:16, "Un"), sep="")

.mseqnames <- NULL

.nmask_per_seq <- 3

.onLoad <- function(libname, pkgname)
{
    extdata_dir <- system.file("extdata", package=pkgname, lib.loc=libname)
    bsgenome <- BSgenome(
        organism="Apis mellifera",
        species="Honey Bee",
        provider="UCSC",
        provider_version="apiMel2",
        release_date="Jan. 2005",
        release_name="Baylor College of Medicine HGSC v.Amel_2.0",
        source_url="http://hgdownload.cse.ucsc.edu/goldenPath/apiMel2/bigZips/",
        seqnames=.seqnames,
        mseqnames=.mseqnames,
        seqs_pkgname=pkgname,
        seqs_dir=extdata_dir,
        nmask_per_seq=.nmask_per_seq,
        masks_pkgname=pkgname,
        masks_dir=extdata_dir
    )
    objname <- "Amellifera"
    ns <- asNamespace(pkgname)
    assign(objname, bsgenome, envir=ns)
    namespaceExport(ns, objname)
}

